=== debian/changelog ===
vmmlib (1.0-2) unstable; urgency=low

  * Add dependency to build test suite. (Closes: #663949)
  * Updated standards version to 3.9.3. (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 29 Apr 2012 01:22:11 +0200

vmmlib (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #650072)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 27 Jan 2012 23:22:55 +0100
