=== debian/control ===
Source: vmmlib
Section: libdevel
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 8), libblas-dev, liblapack-dev, libf2c2-dev
Standards-Version: 3.9.3

Package: libvmmlib-dev
Architecture: all
Depends: ${misc:Depends}
Suggests: libblas-dev, liblapack-dev
Description: templatized C++ vector and matrix math library
 Vmmlib's basic functionality includes a vector and a matrix class, with
 additional functionality for the often-used 3d and 4d vectors and 3x3 and 4x4
 matrices.
 .
 More advanced functionality include solvers, frustum computations and frustum
 culling classes, and spatial data structures.
 .
 It is implemented using C++ templates, making it versatile, and being a header
 library, it is very easy to integrate into other libraries and programs.
