=== debian/changelog ===
vmmlib (1.6.2+git20211012.364732e-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set Science Team as Maintainer.
    - Set Bas Wijner and myself as Uploaders.
  * d/control: Add Homepage information.
  * d/copyright: Update Format link.
  * d/watch: Add file.
  * New upstream release (Closes: #1114437).
  * d/patches: Remove patches they are not longer needed.
  * d/control: Add cmake as Build-Dependency.
    - Run wrap-and-sort.
  * d/rules: Override dh_install to install correctly the lib files.

  [ Andreas Tille ]
  * d/copyright: Fix license name

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 12 Dec 2025 19:44:09 -0300

vmmlib (1.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #1016262)
    - Remove debian/patches/fix_ftbfs_gcc8.patch
    - Update debian/patches/fix-makefile to not use f2c related headers.
    - Add debian/patches/fix-quaternion.patch for not returning value in
      void function.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Sep 2022 16:28:02 +0800

vmmlib (1.0-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:15:59 +0100

vmmlib (1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/fix_ftbfs_gcc8.patch
    - Fix FTBFS on gcc8 (Closes: #897845) (Closes: #834472)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 31 Oct 2018 00:10:19 +0800
