=== debian/control ===
--- 
+++ 
@@ -1,14 +1,24 @@
 Source: vmmlib
 Section: libdevel
 Priority: optional
-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 8), libblas-dev, liblapack-dev, libf2c2-dev
-Standards-Version: 3.9.3
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Bas Wijnen <wijnen@debian.org>,
+           Emmanuel Arias <eamanu@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libblas-dev,
+               libf2c2-dev,
+               liblapack-dev,
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/science-team/vmmlib.git
+Vcs-Browser: https://salsa.debian.org/science-team/vmmlib
+Homepage: https://vmmlib.sourceforge.net/
 
 Package: libvmmlib-dev
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: libblas-dev, liblapack-dev
+Depends: ${misc:Depends},
+Suggests: libblas-dev,
+          liblapack-dev,
 Description: templatized C++ vector and matrix math library
  Vmmlib's basic functionality includes a vector and a matrix class, with
  additional functionality for the often-used 3d and 4d vectors and 3x3 and 4x4
