=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	mkdir -p debian/libvmmlib-dev/usr/include/vmmlib/
	cp vmmlib/* debian/libvmmlib-dev/usr/include/vmmlib/
