=== debian/watch ===
Version: 5

Source: https://github.com//VMML/vmmlib
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.6.2+git%cd.%h
